exercise_04_25: exercise_04_25.o | .gitignore
	g++     $^ -o $@
.gitignore:
	echo   exercise_04_25 > .gitignore  
exercise_04_25.ii: exercise_04_25.cpp
	g++ -E $^ -o $@
exercise_04_25.s: exercise_04_25.ii
	g++ -S $^ -o $@
exercise_04_25.o: exercise_04_25.s
	g++ -c $^ -o $@
clean:
	rm -f *.ii *.s *.o exercise_04_25 .gitignore test.out

test: exercise_04_25
	@./exercise_04_25 < test.in > test.out && echo "test is executing..."
	@diff test.out test.expected > /dev/null 2>&1 && echo PASSED || echo FAILED
PRECIOUS: exercise_04_14.ii exercise_04_25.s
SECONDARY: exercise_04_14.ii exercise_04_25.s
